[ env.ini ]
set var=CONF_DEVICE value="580|585|586|706|716v5|780|7G"
set var=CONF_REGION value="UK"
set var=CONF_PROVIDER value="All"
set var=CONF_DESCRIPTION value="UK Default Routed PPP connection (use as UK default config)"
set var=CONF_SERVICE value="Data ( Default )"
set var=CONF_DATE value=""
set var=CONF_TPVERSION value="2.0.0"
set var=HOST_SETUP value="auto"
set var=HOST_LANGUAGE value="en"
set var=UPGRADE_URL value="http://www.speedtouch.co.uk/upgrade/"
set var=ST_SYS_USERNAME value="Administrator"
set var=%ST_SYS_PASSWORD value=""
set var=ST_WF_WPA value="1"
set var=ST_WF_WEP_ASC value="1"
set var=ST_WF_SECURITY value="none"
set var=ST_ACL_CONFIG value="unlock"
set var=SESSIONTIMEOUT value=600
set var=ATM_addr value="0.38"

[ wizard.ini ]
' ATM PVC
'--------
def var=ATM type=grp desc="Specify the details of your Internet connection. All information should be provided by your ISP." alias="Routed Internet Connection"
def var=ATM_addr type=combo grp=ATM alias="VPI/VCI" data="0.38,1.50,8.35" desc="Select VPI/VCI (UK Default 0.38)"
def var=ATM_ulp type=combo grp=ATM alias="Connection Type" data="PPPoA,PPPoE" desc="Select Connection Type (UK Default PPPoA)"
def var=ST_PPP_USER type=string grp=ATM alias="User Name" req=yes desc="Enter your Internet connection user name, e.g. xyz123@mydsl.com"
def var=%ST_PPP_PASSWORD type=passw grp=ATM alias="Password" req=no desc="Enter your Internet connection password (if required)." max=32
' Wireless Security
'------------------
pgadd name="WirelessSecurity"

[ phone.ini ]
add name=usb_port addr=usb.0.35 logging=disabled
add name=pvc_Internet addr=$ATM_addr

[ ipqos.ini ]
config dest=pvc_Internet state=enabled
queue config dest=pvc_Internet queue=1 ackfiltering=enabled

[ atm.ini ]
ifadd intf=usbif1 dest=usb_port logging=disabled
ifconfig intf=usbif1 ulp=mac retry=0 logging=disabled
ifattach intf=usbif1 logging=disabled
ifadd intf=atm_Internet
ifconfig intf=atm_Internet dest=pvc_Internet
#if ATM_ulp=PPPoE
ifconfig intf=atm_Internet ulp=mac encaps=llc
#endif
#if ATM_ulp=PPPoA
ifconfig intf=atm_Internet ulp=ppp encaps=vcmux
#endif
#if ATM_addr=1.50
ifconfig intf=atm_Internet ulp=ppp encaps=llc
#endif
ifattach intf=atm_Internet

[ eth.ini ]
#if ATM_ulp=PPPoE
ifadd intf=ethoa_Internet
ifconfig intf=ethoa_Internet dest=atm_Internet
ifattach intf=ethoa_Internet
#endif

[ ppp.ini ]
ifadd intf=Internet
rtadd intf=Internet dst=0.0.0.0/0 src=0.0.0.0/0 metric=10
#if ATM_ulp=PPPoE
ifconfig intf=Internet dest=ethoa_Internet
#else
ifconfig intf=Internet dest=atm_Internet
#endif
ifconfig intf=Internet user=$ST_PPP_USER password=$%ST_PPP_PASSWORD
ifconfig intf=Internet accomp=enabled format=none dnsmetric=10 idletime=0 restart=enabled
ifattach intf=Internet

[ wireless.ini ]
ifconfig channel=auto ssid=$_SSID_SERIAL any=enabled rts=2347 interop=802.11b/g protection=auto protmode=rtscts prottrigger=local&overlap shortslot=auto frameburst=disabled locale=Europe dtim=3
macacl config control=$ST_ACL_CONFIG
macacl add hwaddr=$HOST_MAC_ADDR permission=allow name=$HOST_NAME
secmode wep encryptionkey=$_WEPKEY_SERIAL
secmode wpa-psk presharedkey=$_WPAKEY_SERIAL encryption=TKIP rekeysec=0
secmode config mode=$ST_WF_SECURITY
wds config state=enabled autoaccess=disabled

[ language.ini ]
langdef lang=uk charset=ISO8859-1

[ endofarch ]
