[ env.ini ]
set var=CONF_DEVICE value="706$"
set var=CONF_REGION value="UK"
set var=CONF_PROVIDER value="All"
set var=CONF_DESCRIPTION value="UK Voice and Data connection (Internet and VoIP)"
set var=CONF_SERVICE value="Voice & Data"
set var=CONF_DATE value=""
set var=CONF_TPVERSION value="2.0.0"
set var=HOST_SETUP value="auto"
set var=HOST_LANGUAGE value="en"
set var=UPGRADE_URL value="http://www.speedtouch.co.uk/upgrade/"
set var=ATM_addr value="vcmux"
set var=ATM_upl value="pppoa"
set var=ST_SYS_USERNAME value="Administrator"
set var=%ST_SYS_PASSWORD value=""
set var=ST_WF_WPA value="1"
set var=ST_WF_WEP_ASC value="1"
set var=ST_WF_SECURITY value="none"
set var=ST_ACL_CONFIG value="unlock"
set var=SESSIONTIMEOUT value=600

[ wizard.ini ]
' ATM PVC
'--------
def var=ATM type=grp desc="Specify the details of your Internet connection. All information should be provided by your ISP." alias="Routed Internet Connection"
def var=ATM_addr type=combo grp=ATM alias="VPI/VCI" data="0.38,1.50,8.35" desc="Select VPI/VCI (UK Default 0.38)"
def var=ATM_ulp type=combo grp=ATM alias="Connection Type" data="PPPoA,PPPoE" desc="Select Connection Type (UK Default PPPoA)"
def var=ST_PPP_USER type=string grp=ATM alias="User Name" req=yes desc="Enter your Internet connection user name, e.g. xyz123@mydsl.com"
def var=%ST_PPP_PASSWORD type=passw grp=ATM alias="Password" req=no desc="Enter your Internet connection password (if required)." max=32
' VOIP Settings
'-------------
def var=VOIP type=grp desc="Specify the details of your Voice over Internet Connection. All information should be provided by your VoIP provider." alias="Voice Connection Settings"
def var=VOIP_REG type=string grp=VOIP alias="Registrar Address" req=yes desc="Enter registrar address or name (e.g. registrar.myisp.com)"
def var=VOIP_REGPORT type=string grp=VOIP alias="Registrar Port" req=yes desc="Enter registrar UDP port." default=5060
def var=VOIP_PROXY type=string grp=VOIP alias="Proxy Address" req=yes desc="Enter proxy address or name (e.g. proxy.myisp.com)"
def var=VOIP_PROXYPORT type=string grp=VOIP alias="Proxy Port" req=yes desc="Enter proxy UDP port." default=5060
' VOIP Account Settings
'-------------
def var=URI type=grp desc="Specify the details of your Voice over Internet Account. All information should be provided by your VoIP provider." alias="Voice Account Settings"
def var=URI_URI type=string grp=URI alias="Telephone number (URI)" req=yes desc="Enter your VoIP/SIP telephone number."
def var=URI_USERNAME type=string grp=URI alias="User Name" req=yes desc="Enter your VoIP user name."
def var=URI_PASSWORD type=string grp=URI alias="Password" desc="Enter your VoIP password." max=32
' Wireless Security
'------------------
pgadd name="WirelessSecurity"

[ servmgr.ini ]
mapadd name=HTTPI intf=LocalNetwork port=www-http
mapadd name=HTTPI intf=LocalNetwork port=1080
mapadd name=HTTPI intf=LocalNetwork port=httpproxy
ifadd name=HTTP group=lan
ifadd name=HTTPs group=lan
ifadd name=FTP group=lan
ifadd name=TELNET group=lan
ifadd name=DNS-S group=lan
ifadd name=SNMP_AGENT group=lan
ifadd name=PING_RESPONDER group=lan
ifadd name=PPTP group=lan
ifadd name=SSDP group=lan
ifadd name=MDAP group=lan
modify name=DNS-C state=enabled
modify name=DHCP-S state=enabled
modify name=SNTP state=disabled
modify name=HTTP state=enabled
modify name=HTTPs state=enabled
modify name=HTTPI state=enabled
modify name=FTP state=enabled
modify name=TELNET state=enabled
modify name=RIP state=disabled
modify name=DNS-S state=enabled
modify name=SNMP_AGENT state=disabled
modify name=IP_COMMANDS state=enabled
modify name=PING_RESPONDER state=enabled
modify name=MDAP state=enabled
modify name=SSDP state=enabled
modify name=PPTP state=enabled
modify name=SNTP state=disabled
modify name=WEBF state=disabled
modify name=VOIP_SIP state=enabled
modify name=SNMP_AGENT state=disabled
modify name=CWMP_client state=disabled
modify name=CWMP_server state=disabled

[ phone.ini ]
add name=usb_port addr=usb.0.35 logging=disabled
add name=pvc_Internet addr=$ATM_addr

[ ipqos.ini ]
config dest=pvc_Internet state=enabled
queue config dest=pvc_Internet queue=1 ackfiltering=enabled

[ atm.ini ]
ifadd intf=usbif1 dest=usb_port logging=disabled
ifconfig intf=usbif1 ulp=mac retry=0 logging=disabled
ifattach intf=usbif1 logging=disabled
ifadd intf=atm_Internet
ifconfig intf=atm_Internet dest=pvc_Internet
#if ATM_ulp=PPPoE
ifconfig intf=atm_Internet ulp=mac encaps=llc
#endif
#if ATM_ulp=PPPoA
ifconfig intf=atm_Internet ulp=ppp encaps=vcmux
#endif
#if ATM_addr=1.50
ifconfig intf=atm_Internet ulp=ppp encaps=llc
#endif
ifattach intf=atm_Internet

[ eth.ini ]
#if ATM_ulp=PPPoE
ifadd intf=ethoa_Internet
ifconfig intf=ethoa_Internet dest=atm_Internet
ifattach intf=ethoa_Internet
#endif

[ ppp.ini ]
ifadd intf=Internet
rtadd intf=Internet dst=0.0.0.0/0 src=0.0.0.0/0 metric=10
#if ATM_ulp=PPPoE
ifconfig intf=Internet dest=ethoa_Internet
#else
ifconfig intf=Internet dest=atm_Internet
#endif
ifconfig intf=Internet user=$ST_PPP_USER password=$%ST_PPP_PASSWORD
ifconfig intf=Internet accomp=enabled format=none dnsmetric=10 idletime=0 restart=enabled
ifattach intf=Internet

[ voice.ini ]
config digitrelay=auto

services provision type=transfer
services provision type=hold
services provision type=waiting
services provision type=clip
services provision type=3pty
services provision type=forcedFXO

services activate type=transfer
services activate type=hold
services activate type=waiting
services activate type=clip
services activate type=3pty
services activate type=forcedFXO

services assign type=transfer servicecode=96
services assign type=hold servicecode=94
services assign type=waiting servicecode=43
services assign type=clip servicecode=30
services assign type=clir servicecode=31
services assign type=3pty servicecode=95
services assign type=forcedFXO servicecode=01

codec config type=g711u ptime=20 vad=disabled priority=1 status=enabled
codec config type=g711a ptime=20 vad=disabled priority=1 status=enabled
codec config type=g726_40 ptime=20 vad=disabled priority=4 status=disabled
codec config type=g726_32 ptime=20 vad=disabled priority=5 status=disabled
codec config type=g726_24 ptime=20 vad=disabled priority=6 status=disabled
codec config type=g726_16 ptime=20 vad=disabled priority=7 status=disabled
codec config type=g723.1 ptime_g723=30 vad=disabled priority=3 status=enabled

sip config sdp_ptime=20 CWreply=180

fxsport config interdigit=5000
fxoport config fxodisconnect=1000

qos config type=sign&control qosfield=dscp dscp=af42
qos config type=realtime qosfield=dscp dscp=ef

fax config transport=inband_reneg

config autofxo=enabled digitrelay=auto click2dial_ports=all rtp_portrange=1024-49151

dialplan add prefix=999 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=3 maximumdigits=3 posofmodify=0 remnumdigits=0 insert=01 rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=195 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=3 maximumdigits=3 posofmodify=0 remnumdigits=0 insert=01 rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=1800 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=5 maximumdigits=5 posofmodify=0 remnumdigits=0 insert=01 rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=1571 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=4 maximumdigits=4 posofmodify=0 remnumdigits=0 insert=01 rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=155 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=3 maximumdigits=3 posofmodify=0 remnumdigits=0 insert=01 rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=151 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=3 maximumdigits=3 posofmodify=0 remnumdigits=0 insert=01 rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=150 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=3 maximumdigits=3 posofmodify=0 remnumdigits=0 insert=01 rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=1471 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=4 maximumdigits=4 posofmodify=0 remnumdigits=0 insert=01 rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=1470 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=7 maximumdigits=30 posofmodify=0 remnumdigits=0 insert="" rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=141 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=6 maximumdigits=30 posofmodify=0 remnumdigits=0 insert="" rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=123 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=3 maximumdigits=3 posofmodify=0 remnumdigits=0 insert=01 rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=118 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=6 maximumdigits=6 posofmodify=0 remnumdigits=0 insert=01 rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=112 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=3 maximumdigits=3 posofmodify=0 remnumdigits=0 insert=01 rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=100 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=3 maximumdigits=3 posofmodify=0 remnumdigits=0 insert=01 rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=09 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=10 maximumdigits=11 posofmodify=0 remnumdigits=0 insert="" rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=08 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=8 maximumdigits=11 posofmodify=0 remnumdigits=0 insert="" rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=07 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=10 maximumdigits=11 posofmodify=0 remnumdigits=0 insert="" rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=06 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=10 maximumdigits=11 posofmodify=0 remnumdigits=0 insert="" rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=05 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=10 maximumdigits=11 posofmodify=0 remnumdigits=0 insert="" rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=04 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=10 maximumdigits=11 posofmodify=0 remnumdigits=0 insert="" rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=03 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=10 maximumdigits=11 posofmodify=0 remnumdigits=0 insert="" rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=02 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=10 maximumdigits=11 posofmodify=0 remnumdigits=0 insert="" rescan=no data=no action=ROUTE_excl_eon
dialplan add prefix=01 defaultport=VoIP fallbackport=NA priority=Low fallback=disabled minimumdigits=10 maximumdigits=11 posofmodify=0 remnumdigits=0 insert=01 rescan=no data=no action=ROUTE_excl_eon

country config country=uk
dialplan add prefix=9 defaultport=FXO fallbackport=NA priority=NA fallback=disabled minimumdigits=1 maximumdigits=1 posofmodify=0 remnumdigits=0 rescan=no action=none
sip config primproxyaddr=$VOIP_PROXY proxyport=$VOIP_PROXYPORT primregaddr=$VOIP_REG regport=$VOIP_REGPORT
profile add SIP_URI=$URI_URI username=$URI_USERNAME displayname=$URI_USERNAME password=$URI_PASSWORD voiceport=FXS

[ wireless.ini ]
ifconfig channel=auto ssid=$_SSID_SERIAL any=enabled rts=2347 interop=802.11b/g protection=auto protmode=rtscts prottrigger=local&overlap shortslot=auto frameburst=disabled locale=Europe dtim=3
macacl config control=$ST_ACL_CONFIG
macacl add hwaddr=$HOST_MAC_ADDR permission=allow name=$HOST_NAME
secmode wep encryptionkey=$_WEPKEY_SERIAL
secmode wpa-psk presharedkey=$_WPAKEY_SERIAL encryption=TKIP rekeysec=0
secmode config mode=$ST_WF_SECURITY
wds config state=enabled autoaccess=disabled

[ language.ini ]
langdef lang=uk charset=ISO8859-1

[ endofarch ]
